function checkPhone(){
	var phone = document.getElementById('phone').value;
	if(!(/^1[34578]\d{9}$/.test(phone))){
		alert("手机号码有误，请重填");
		return false;
	}
}
//下一步操作按钮
mui(document.body).on('tap', '#btn_nextpage', function() {
	var arr = getInfoData();
	if(arr ==null){
	   return;
	}
	getAddressInfo(arr);
	if(typeof(Storage) !== "undefined") {
		//将界面数据放入页面缓存
		sessionStorage.setItem("parkInfo", arr);
	} else {
		//mui.toast("不支持啊");
	}
	var u = navigator.userAgent,
		app = navigator.appVersion;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
	if(isAndroid) {
		//跳转到第三个界面
		mui.openWindow({
			url: 'parkdetail_second.html',
			id: 'parkdetail_second'
		})
	}
})
//onload  调用的方法 缓存界面数据到sessionStorage
function useData() {
	if(typeof(Storage) !== "undefined") {
		//var arrStr =  localStorage.getItem("parkInfo");
		var arrStr = sessionStorage.getItem("parkInfo");
		if(arrStr != null) {
			var parkinfo = eval('(' + arrStr + ')');
			//设置图片
			setImage(parkinfo.imgUrl);
			//设置地图信息
			setMapLocationToHtml(parkinfo.mapAddress);
			//设置停车场类型
			setParkType(parkinfo.type);
			//设置能否停大车
			setParkDes(parkinfo.isParkCart);
			//设置是否需要放行证明
			setParkDescPass(parkinfo.isReleCert);
			
		}

	}
}
//设置共享车位信息（车位详情状态为审核不通过时调用）
function setParkinfo(result) {
	if(result == null || result == "") {
		return;
	} else {
		var rs = JSON.parse(result);
		        $("#parkname").val(rs.parkName);
        		$("#parkaddress").val(rs.address);
        		$("#parkcount").val(rs.count);
        		$("#contact").val(rs.phone);
        		$("#btn_takephoto").hide();
        		$("#btnclick").show();
			//设置图片 $("#img").attr("src", rs.imgUrl);
        	 setImage(rs.imgUrl);
            //设置地图信息 $("#item_mapinfo").val(rs.parkMapInfo);
        	 setMapLocationToHtml(rs.mapAddress);
            //设置停车场类型
        	 setParkType(rs.type);
            //设置能否停大车
        	 setParkDes(rs.isParkCart);
            //设置是否需要放行证明
        	 setParkDescPass(rs.isReleCert);

	}

}
//选择停车场类型
 $(".selbutton button").click(function() {
	$(this).addClass("checked").closest(".mui-col-xs-4").siblings().find("button").removeClass("checked");
}) 
  
//获取停车场类型 
function getParkType2() {
	var value = "";
	var radio = $(".selbutton button.checked");
	if(radio.text() == "地面") {
		value = 1;
	} else if(radio.text() == "地下") {
		value = 2;
	} else {   
		value = 3; 
	}
	return value; 
}
//设置停车场类型
function setParkType(parkType){
    //数据为空，默认选中第一个
	if(parkType==null){
		$(".selbutton button").eq(0).addClass("checked").closest(".mui-col-xs-4").siblings().find("button").removeClass("checked");
	}else{
		$(".selbutton button").eq(parkType-1).addClass("checked").closest(".mui-col-xs-4").siblings().find("button").removeClass("checked");
	}
	
}
 
//获取是否能够停放大车
function getParkDes() {
	var value = 1;
	var r = $("#cbParkDesc");
	if(r.hasClass("mui-active")) {
		value = 1;
	} else {
		value = 0;
	}

	return value;
}
//设置是否能够停放大车 
function setParkDes(parkBigcar){  
	if(parkBigcar==1){
		$("#cbParkDesc").addClass("mui-active");
	}else{
		$("#cbParkDesc").removeClass("mui-active");
	}
	
}
//获取停车场是否需要放行证明的类型
function getParkDescPass() {
	var value = 2;
	var r = $("#radioParkDesc");
	if(r.hasClass("mui-active")) {
		value = 1;
	} else {
		value = 0;
	}
	return value;
}
//设置停车场是否需要放行证明
function setParkDescPass(isReleCert){
		if(isReleCert==1){
		$("#radioParkDesc").addClass("mui-active");
	}else{
		$("#radioParkDesc").removeClass("mui-active");
	}
}

//获取当前界面的数据
function getInfoData() {
	var car = new Object();
	car.berthId = "";
	car.parkName = document.getElementById('parkname').value;
	car.address = document.getElementById('parkaddress').value;
	car.startDate = "";
	car.timeInterval = "";
	car.count = document.getElementById('parkcount').value;
	car.chargeDesc = "";
	car.status = "";
	car.phone = document.getElementById('contact').value;
	car.longitudeGD = "";
	car.latitudeGD = "";
	car.imgUrl = imageSrc;
	car.mapAddress = document.getElementById('item_mapinfo').innerText;
	car.type = getParkType2();
	car.isParkCart = getParkDes();
	car.isReleCert = getParkDescPass();
	var pattern = new RegExp("[\&,\|,\|,\~,\~]");
	if(car.parkName ==null||car.parkName==""){
		mui.toast("泊位名称不能为空")
		return null;
	}
	if(pattern.test(car.address)){
		mui.toast("泊位地址具体信息不能包括特殊字符 &、|、~")
		return null;
	}
	if(pattern.test(car.parkName)){
		mui.toast("泊位名称不能包括特殊字符 &、|、~")
		return null;
	}
	if(car.count==null||car.count==""){
		mui.toast("泊位数量不能为空")
			return null;
	}
    if(car.phone==null||car.phone==""){
        mui.toast("联系方式不能为空")
        return null;
    }else{
        if(!(/^1[34578]\d{9}$/.test(car.phone))){
            mui.toast("手机号码有误，请重填");
            return null;
        }
    }
	if(maplocationInfo==null||maplocationInfo==""){
	  mui.toast("地图地址不能为空")
      return null;
	}
    var json = JSON.stringify(car);
	return json;
}

//回调原生的方法
function getAddressInfo(arr) {
	var u = navigator.userAgent,
		app = navigator.appVersion;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	if(isAndroid) {
		//将参数传给原生
		$$.getMobileAddressInfo(arr);
	}
	if(isIOS) {
		getMobileAddressInfo(arr);
	}
}
//原生拍照成功调用
//图片路径
var imageSrc = null;
function setImage(varStr) {
	//var url = entry.toLocalURL();
	//	 mui.toast(varStr);
	var img = document.getElementById('img');
	var btn_takephoto = document.getElementById('btn_takephoto');
	var btnclick = document.getElementById('btnclick');
	img.src = varStr;
	imageSrc = varStr;
	btn_takephoto.style.display = 'none';
	btnclick.style.display = 'block';
 
}
//地图界面返回的地址信息
//地图信息
var maplocationInfo = null;
function setMapLocationToHtml(locationInfo) {
	var item_mapinfo = document.getElementById('item_mapinfo');
	item_mapinfo.innerText = locationInfo;
	maplocationInfo = locationInfo;
} 



//---拍照相关的方法-----------
//拍照
mui(document.body).on('tap', '#btn_takephoto', function() {

	var u = navigator.userAgent,
		app = navigator.appVersion;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	if(isAndroid) {
		//调用原生相机拍照服务
		$$.getCameraPhoto();
	}
	if(isIOS) {
		getCameraPhoto();
	}

})
mui(document.body).on('tap', '#btnclick', function() {

	var u = navigator.userAgent,
		app = navigator.appVersion;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	if(isAndroid) {
		//调用原生相机拍照服务
		$$.getCameraPhoto();
	}
	if(isIOS) {
		getCameraPhoto();
	}

})

function imgError() {
	document.getElementById('img').style.display = 'none';
	var btn_takephoto = document.getElementById('btn_takephoto');
	btn_takephoto.style.display = 'block';
}

function displayFile() {
	//	mui.toast("displayFile");
}

//---跳转地图界面的操作-----------

mui(document.body).on('tap', '#parkmapaddress', function() {
	//	mui.toast("跳转地图");
	var u = navigator.userAgent,
		app = navigator.appVersion;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	if(isAndroid) {
		//调用原生相机拍照服务
		$$.getMapLocation();
	}
	if(isIOS) {
		getMapLocation();
	}

})
 
